Change a tenant holiday (hr:admin)
PUT /api/hr/v1/custom-holidays/{id}
Module: HR · operationId: updateCustomHoliday · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Request body
application/json (required)
date(string (date), required): Date (YYYY-MM-DD)fraction(number, required): 1 for a full day, 0.5 for a half day (one of0.5,1)name(string, required): Name of the holidayid(string): Id of the tenant holidayrecurring(boolean): Every year on the same dayversion(integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)
Example:
{
"date": "2026-12-24",
"fraction": 0.5,
"id": "0e2a4c6e-8a0c-4e2a-8c6e-8a0c2e4a6c14",
"name": "Heiligabend (halber Tag)",
"recurring": true,
"version": 1
}
Responses
- 200 Saved (
application/json) - 409 Error (
application/json)
Fields of the 200 answer:
date(string (date), required): Date (YYYY-MM-DD)fraction(number, required): 1 for a full day, 0.5 for a half day (one of0.5,1)name(string, required): Name of the holidayid(string): Id of the tenant holidayrecurring(boolean): Every year on the same dayversion(integer): Version for optimistic locking: send the version you read with a change (stale: 409 version_conflict)
Example 200 answer:
{
"date": "2026-12-24",
"fraction": 0.5,
"id": "0e2a4c6e-8a0c-4e2a-8c6e-8a0c2e4a6c14",
"name": "Heiligabend (halber Tag)",
"recurring": true,
"version": 1
}
Example request
curl -X PUT 'https://api.mbcom.cloud/api/hr/v1/custom-holidays/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"date":"2026-12-24","fraction":0.5,"id":"0e2a4c6e-8a0c-4e2a-8c6e-8a0c2e4a6c14","name":"Heiligabend (halber Tag)","recurring":true,"version":1}'